netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
dbd_add.c File Reference
`#include <errno.h>`
`#include <fcntl.h>`
`#include <string.h>`
`#include <sys/time.h>`
`#include <unistd.h>`
`#include <db.h>`
`#include <atalk/cnid_bdb_private.h>`
`#include <atalk/cnid.h>`
`#include <atalk/logger.h>`
`#include "dbd.h"`
`#include "dbif.h"`
`#include "pack.h"`

## Functions
int | add_cnid (DBD *dbd, struct cnid_dbd_rqst *rqst, struct cnid_dbd_rply *rply)
int | get_cnid (DBD *dbd, struct cnid_dbd_rply *rply)
int | dbd_add (DBD *dbd, struct cnid_dbd_rqst *rqst, struct cnid_dbd_rply *rply)

## Function Documentation

## ◆ add_cnid()

int add_cnid | ( | DBD * | dbd,
|  | struct cnid_dbd_rqst * | rqst,
|  | struct cnid_dbd_rply * | rply )

## ◆ dbd_add()

int dbd_add | ( | DBD * | dbd,
|  | struct cnid_dbd_rqst * | rqst,
|  | struct cnid_dbd_rply * | rply )

## ◆ get_cnid()

int get_cnid | ( | DBD * | dbd,
|  | struct cnid_dbd_rply * | rply )